<?php
/**
 * Theme Front Page Customizer Custom
 *
 * @package Matrimony
 */
$matrimony_category_lists = matrimony_category_lists(); 
$matrimony_post_list = matrimony_post_list();	


// Front Page Options
$wp_customize->add_panel('matrimony_homepage_setups',
	array(
		'priority' => 2,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => esc_html__('Homepage Sections ','matrimony'),
	)
);
// Portfolio Section
$wp_customize->add_section('matrimonial_portfolio_setups',
	array(
		'priority' => 1,
		'title' => esc_html__('Portfolio Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/ Disable Portfolio Section
$wp_customize->add_setting('matrimonial_portfolio_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_portfolio_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Portfolio Section', 'matrimony'),
		'section' => 'matrimonial_portfolio_setups',
	)
));
// Portfolio left Post
$wp_customize->add_setting('matrimony_portfolio_post_one',
	array(
		'default' => '',
		'sanitize_callback' => 'matrimony_post_sanitizer',
	)
);
$wp_customize->add_control('matrimony_portfolio_post_one', 
	array(
		'priority'      =>  3,
		'type' => 'select',
		'label' => esc_html__('Select Post for Portfolio Left Section','matrimony'),
		'section' => 'matrimonial_portfolio_setups',
		'setting' => 'matrimony_portfolio_post_one',
		'choices' => $matrimony_post_list
	)
);
// Portfolio Right Post
$wp_customize->add_setting('matrimony_portfolio_post_two',
	array(
		'default' => '',
		'sanitize_callback' => 'matrimony_post_sanitizer',
	)
);
$wp_customize->add_control('matrimony_portfolio_post_two', 
	array(
		'priority'      =>  4,
		'type' => 'select',
		'label' => esc_html__('Select Post One for Portfolio Right','matrimony'),
		'section' => 'matrimonial_portfolio_setups',
		'setting' => 'matrimony_portfolio_post_two',
		'choices' => $matrimony_post_list
	)
);
// Portfolio Center Text
$wp_customize->add_setting('matrimony_portfolio_text',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_portfolio_text',
	array(
		'priority'      =>  4,
		'label'         =>  esc_html__('Portfolio Center Text','matrimony'),
		'section'       =>  'matrimonial_portfolio_setups',
		'setting'       =>  'matrimony_portfolio_text',
		'type'          =>  'text',  
	)                                     
);
// Counter Number
$wp_customize->add_setting('matrimony_portfolio_text_one',
	array(
		'default' => '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_portfolio_text_one',
	array(
		'priority'      =>  5,
		'label'         =>  esc_html__('Portfolio Count Period One','matrimony'),
		'section'       =>  'matrimonial_portfolio_setups',
		'setting'       =>  'matrimony_portfolio_text_one',
		'type'          =>  'text',  
	)                                     
);
// Counter Text
$wp_customize->add_setting('matrimony_portfolio_text_count_one',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_portfolio_text_count_one',
	array(
		'priority'      =>  6,
		'label'         =>  esc_html__('Days ','matrimony'),
		'section'       =>  'matrimonial_portfolio_setups',
		'setting'       =>  'matrimony_portfolio_text_count_one',
		'type'          =>  'text',  
	)                                     
);
// Counter Number
$wp_customize->add_setting('matrimony_portfolio_count_two',
	array(
		'default' => '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_portfolio_count_two',
	array(
		'priority'      =>  7,
		'label'         =>  esc_html__('Portfolio Count Period Two','matrimony'),
		'section'       =>  'matrimonial_portfolio_setups',
		'setting'       =>  'matrimony_portfolio_count_two',
		'type'          =>  'text',  
	)                                     
);
// Counter Text
$wp_customize->add_setting('matrimony_portfolio_text_count_two',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);

$wp_customize->add_control('matrimony_portfolio_text_count_two',
	array(
		'priority'      =>  8,
		'label'         =>  esc_html__('Hours ','matrimony'),
		'section'       =>  'matrimonial_portfolio_setups',
		'setting'       =>  'matrimony_portfolio_text_count_two',
		'type'          =>  'text',  
	)                                     
);
// Counter Section
$wp_customize->add_section('matrimonial_counter_setups',
	array(
		'priority' => 1,
		'title' => esc_html__('Counter Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable
$wp_customize->add_setting('matrimonial_counter_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_counter_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Counter Section', 'matrimony'),
		'section' => 'matrimonial_counter_setups',
		)
	)
);
// Counter Image
$wp_customize->add_setting('matrimony_counter_image_one',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_counter_image_one',
	array(
		'label'      => esc_html__( ' Counter Image ', 'matrimony' ),
		'section'    => 'matrimonial_counter_setups',
		'settings'   => 'matrimony_counter_image_one',
		'priority' => 2,
	)
) );
// Counter Number
$wp_customize->add_setting('matrimony_counter_num', 
    array(
      'default' => '',
        'sanitize_callback' => 'matrimony_sanitize_number',
    )
);
$wp_customize->add_control('matrimony_counter_num',
	array(
		'type' => 'number',
		'label' => esc_html__('Counter Numbers','matrimony'),
		'section' => 'matrimonial_counter_setups',
		'setting' => 'matrimony_counter_num',
		'priority'      =>  3,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9999,
		),
	)
);
// Counter Text
$wp_customize->add_setting('matrimony_counter_text_one',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
  	)
);
$wp_customize->add_control('matrimony_counter_text_one',
	array(
		'priority'      =>  4,
		'label'         =>  esc_html__('Counter Text','matrimony'),
		'section'       =>  'matrimonial_counter_setups',
		'setting'       =>  'matrimony_counter_text_one',
		'type'          =>  'text',  
	)                                     
);
// Counter Image
$wp_customize->add_setting('matrimony_counter_image_two',
	array(
	'default' => '',
	'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_counter_image_two',
	array(
		'label'      => esc_html__( ' Counter Image ', 'matrimony' ),
		'section'    => 'matrimonial_counter_setups',
		'settings'   => 'matrimony_counter_image_two',
		'priority' => 5,
	)
) );

$wp_customize->add_setting('matrimony_counter_num_two', 
    array(
      	'default' => '',
        'sanitize_callback' => 'matrimony_sanitize_number',
    )
);
$wp_customize->add_control('matrimony_counter_num_two',
	array(
		'type' => 'number',
		'label' => esc_html__('Counter Numbers','matrimony'),
		'section' => 'matrimonial_counter_setups',
		'setting' => 'matrimony_counter_num_two',
		'priority'      =>  6,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9999,
		),
	)
);
// Counter Text
$wp_customize->add_setting('matrimony_counter_text_two', 
	array(
		'default'           => '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_counter_text_two',
	array(
		'priority'      =>  7,
		'label'         =>  esc_html__('Counter Text','matrimony'),
		'section'       =>  'matrimonial_counter_setups',
		'setting'       =>  'matrimony_counter_text_two',
		'type'          =>  'text',  
	)                                     
);
// Counter Image
$wp_customize->add_setting('matrimony_counter_image_three',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_counter_image_three',
	array(
		'label'      => esc_html__( ' Counter Image ', 'matrimony' ),
		'section'    => 'matrimonial_counter_setups',
		'settings'   => 'matrimony_counter_image_three',
		'priority' => 8,
	)
) );
// Counter Number
$wp_customize->add_setting('matrimony_counter_num_three', 
    array(
      'default' => '',
        'sanitize_callback' => 'matrimony_sanitize_number',
    )
);
$wp_customize->add_control('matrimony_counter_num_three',
	array(
		'type' => 'number',
		'label' => esc_html__('Counter Numbers','matrimony'),
		'section' => 'matrimonial_counter_setups',
		'setting' => 'matrimony_counter_num_three',
		'priority'      =>  9,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9999,
		),
	)
);
// Counter Text
$wp_customize->add_setting('matrimony_counter_text_three',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_counter_text_three',
	array(
		'priority'      =>  10,
		'label'         =>  esc_html__('Counter Text','matrimony'),
		'section'       =>  'matrimonial_counter_setups',
		'setting'       =>  'matrimony_counter_text_three',
		'type'          =>  'text',  
	)                                     
);
// History Section
$wp_customize->add_section('matrimonial_history_setups',
	array(
		'priority' => 1,
		'title' => esc_html__('History Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
$wp_customize->add_setting('matrimonial_history_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
// Enable/Enable History Section
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_history_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable History Section', 'matrimony'),
		'section' => 'matrimonial_history_setups',
	)
) );
// History Page
$wp_customize->add_setting('matrimony_history_page',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_history_page',
	array(
		'priority'=>    2,
		'label'   =>    esc_html__( 'Select Page For  History Section','matrimony' ),
		'description'   =>  esc_html__('It will Display History Section Title And Description. ','matrimony'),
		'section' =>    'matrimonial_history_setups',
		'setting' =>    'matrimony_history_page',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Enable/Disable History Page
$wp_customize->add_setting('matrimonial_history_page_des_opt',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_history_page_des_opt',
	array(
		'priority'      =>  3,
		'type' => 'switch',
		'label' => esc_html__('Enable History Section Descriptions', 'matrimony'),
		'section' => 'matrimonial_history_setups',
	)
) );
//Select Category 
$wp_customize->add_setting('matrimony_home_section_cat',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matrimonial_cat_sanitize_checkbox',
	)
);
$wp_customize->add_control('matrimony_home_section_cat',
	array(
		'priority'      => 5,
		'label'         =>  esc_html__('Select Category For History ','matrimony'),
		'section'       =>  'matrimonial_history_setups',
		'setting'       =>  'matrimony_home_section_cat',
		'type'          =>  'select',
		'choices'       =>  $matrimony_category_lists,
	)
);
// Select Number
$wp_customize->add_setting('matrimony_history_post_num', 
	array(
		'default'  => 5,
		'sanitize_callback' => 'matrimony_sanitize_number',
	)
);
$wp_customize->add_control('matrimony_history_post_num',
	array(
		'type' => 'number',
		'label' => esc_html__('No. of Post On Posts','matrimony'),
		'section' => 'matrimonial_history_setups',
		'setting' => 'matrimony_history_post_num',
		'priority'      =>  9,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9,
		),
	)
);
// Select Image
$wp_customize->add_setting('matrimony_history_image',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_history_image',
	array(
		'label'      => esc_html__( ' History Section Background Image ', 'matrimony' ),
		'section'    => 'matrimonial_history_setups',
		'settings'   => 'matrimony_history_image',
		'priority' => 10,
	)
) );
// Service Section
$wp_customize->add_section('matrimonial_service_setups',
	array(
		'priority' =>1,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => esc_html__('Service Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable Service
$wp_customize->add_setting('matrimonial_service_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_service_option',
		array(
			'priority'      =>  1,
			'type' => 'switch',
			'label' => esc_html__('Enable Service Section', 'matrimony'),
			'section' => 'matrimonial_service_setups',
		)
) );
// Service Page
$wp_customize->add_setting('matrimony_service_page',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_service_page',
	array(
		'priority'=>    2,
		'label'   =>    esc_html__( 'Choose Service Section Page','matrimony' ),
		'description'   =>  esc_html__('It will Display Service Section Title, Description And Feature Images. ','matrimony'),
		'section' =>    'matrimonial_service_setups',
		'setting' =>    'matrimony_service_page',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Enable/Disable Service Descriptions
$wp_customize->add_setting('matrimonial_service_dec_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_service_dec_option',
	array(
		'priority'      => 3,
		'type' => 'switch',
		'label' => esc_html__('Enable Service Section Descriptions', 'matrimony'),
		'section' => 'matrimonial_service_setups',
	)
) );
// Service Category
$wp_customize->add_setting('matrimonial_service_section_cat',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matrimonial_cat_sanitize_checkbox',
	)
);
$wp_customize->add_control('matrimonial_service_section_cat',
	array(
		'priority'      => 4,
		'label'         =>  esc_html__('Select Category','matrimony'),
		'section'       =>  'matrimonial_service_setups',
		'setting'       =>  'matrimonial_service_section_cat',
		'type'          =>  'select',
		'choices'       =>  $matrimony_category_lists,
	)
);
//Service Number
$wp_customize->add_setting('matrimony_service_post_num', 
	array(
	'default' => 5,
	'sanitize_callback' => 'matrimony_sanitize_number',
	)
);
$wp_customize->add_control('matrimony_service_post_num',
	array(
		'type' => 'number',
		'label' => esc_html__('No. of Post On Posts','matrimony'),
		'section' => 'matrimonial_service_setups',
		'setting' => 'matrimony_service_post_num',
		'priority'      =>  5,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9,
		),
	)
);
// Gallery Section
$wp_customize->add_section('matrimonial_gallery_setups',
	array(
	'priority' => 1,
	'title' => esc_html__('Gallery Section','matrimony'),
	'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable Gallery Section
$wp_customize->add_setting('matrimonial_gallery_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_gallery_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Gallery Section', 'matrimony'),
		'section' => 'matrimonial_gallery_setups',
	)
) );
// Gallery Page
$wp_customize->add_setting('matrimony_gallery_page',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_gallery_page',
	array(
		'priority'=>    2,
		'label' => esc_html__('Choose Gallery Section Page', 'matrimony'),
		'description'   =>  esc_html__('It will Display Gallery Section Title And Description. ','matrimony'),
		'section' =>    'matrimonial_gallery_setups',
		'setting' =>    'matrimony_gallery_page',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Gallery Description
$wp_customize->add_setting('matrimonial_gallery_dec_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_gallery_dec_option',
	array(
		'priority'      =>  2,
		'type' => 'switch',
		'label' => esc_html__('Enable Gallery Section Descriptions', 'matrimony'),
		'section' => 'matrimonial_gallery_setups',
	)
) );
// Gallery Category
$wp_customize->add_setting('matrimonial_gallery_section_cat',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matrimonial_cat_sanitize_checkbox',
	)
);
$wp_customize->add_control('matrimonial_gallery_section_cat',
	array(
		'priority'      =>  4,
		'label'         =>  esc_html__('Select Category','matrimony'),
		'section'       =>  'matrimonial_gallery_setups',
		'setting'       =>  'matrimonial_gallery_section_cat',
		'type'          =>  'select',
		'choices'       =>  $matrimony_category_lists,
	)
);
// Number of Posts
$wp_customize->add_setting('matrimony_gallery_post_num', 
	array(
		'default' => 5,
		'sanitize_callback' => 'matrimony_sanitize_number',
	)
);
$wp_customize->add_control('matrimony_gallery_post_num',
	array(
		'type' => 'number',
		'label' => esc_html__('No. of Post On Posts','matrimony'),
		'section' => 'matrimonial_gallery_setups',
		'setting' => 'matrimony_gallery_post_num',
		'priority'      =>  5,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9,
		),
	)
);
// Image Hover Text
$wp_customize->add_setting('matrimony_gallery_text',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_gallery_text',
	array(
		'priority'      =>  6,
		'label'         =>  esc_html__('Image Hover Text','matrimony'),
		'section'       =>  'matrimonial_gallery_setups',
		'setting'       =>  'matrimony_gallery_text',
		'type'          =>  'text',  
	)                                     
);
// Button Text
$wp_customize->add_setting('matrimony_gallery_more_iteams_text',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_gallery_more_iteams_text',
	array(
		'priority'      => 7,
		'label'         =>  esc_html__('Button Text','matrimony'),
		'section'       =>  'matrimonial_gallery_setups',
		'setting'       =>  'matrimony_gallery_more_iteams_text',
		'type'          =>  'text',  
	)                                     
);
// Reservation Section
$wp_customize->add_section('matrimonial_reservation_setups',
	array(
		'priority' => 1,
		'title' => esc_html__('Reservation Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable Reservation Section
$wp_customize->add_setting('matrimonial_reservation_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_reservation_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Reservation Section', 'matrimony'),
		'section' => 'matrimonial_reservation_setups',
	)
) );
// Reservation Page
$wp_customize->add_setting('matrimony_reservation_page',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_reservation_page',
	array(
		'priority'=>    2,
		'label' => esc_html__('Choose Reservation Section Page', 'matrimony'),
		'description'   =>  esc_html__('It will Display Reservation Section Title And Description. ','matrimony'),
		'section' =>    'matrimonial_reservation_setups',
		'setting' =>    'matrimony_reservation_page',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Enable/Disable Description
$wp_customize->add_setting('matrimonial_revervation_dec_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_revervation_dec_option',
	array(
		'priority'      =>  3,
		'type' => 'switch',
		'label' => esc_html__('Enable Reservation Section Descriptions', 'matrimony'),
		'section' => 'matrimonial_reservation_setups',
	)
) );
// Page
$wp_customize->add_setting('matrimony_reservation',
	array(
		'default'           => '',
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_reservation',
	array(
		'priority'      => 4,
		'label'         =>  esc_html__('Select Page','matrimony'),
		'section'       =>  'matrimonial_reservation_setups',
		'setting'       =>  'matrimony_reservation',
		'type'          =>  'dropdown-pages',  
	)                                     
);
// Image
$wp_customize->add_setting('matrimony_reservation_image_one',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_reservation_image_one',
	array(
		'label'      => esc_html__( ' Image One ', 'matrimony' ),
		'section'    => 'matrimonial_reservation_setups',
		'settings'   => 'matrimony_reservation_image_one',
		'priority'  => 5,
	)
) );
// Image 
$wp_customize->add_setting('matrimony_reservation_image_two',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_reservation_image_two',
	array(
		'label'      => esc_html__( ' Image Two ', 'matrimony' ),
		'section'    => 'matrimonial_reservation_setups',
		'settings'   => 'matrimony_reservation_image_two',
		'priority' =>6,
	)
) );
// Testimonial Sections 
$wp_customize->add_section('matrimonial_testimonial_setups',
	array(
		'priority' => 1,
		'title' => esc_html__('Testimonial Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable Testimonial 
$wp_customize->add_setting('matrimonial_testimonial_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_testimonial_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Testimonial Section', 'matrimony'),
		'section' => 'matrimonial_testimonial_setups',
	)
) );
// Testimonial Category
$wp_customize->add_setting('matrimonial_testimonial_section_cat',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matrimonial_cat_sanitize_checkbox',
	)
);
$wp_customize->add_control('matrimonial_testimonial_section_cat',
	array(
		'priority'      =>  3,
		'label'         =>  esc_html__('Select Category','matrimony'),
		'section'       =>  'matrimonial_testimonial_setups',
		'setting'       =>  'matrimonial_testimonial_section_cat',
		'type'          =>  'select',
		'choices'       =>  $matrimony_category_lists,
	)
);
// Testimonial Number
$wp_customize->add_setting('matrimony_testimonial_post_num', 
	array(
		'default' => 5,
		'sanitize_callback' => 'matrimony_sanitize_number',
	)
);
$wp_customize->add_control('matrimony_testimonial_post_num',
	array(
		'type' => 'number',
		'label' => esc_html__('No. of Post On Posts','matrimony'),
		'section' => 'matrimonial_testimonial_setups',
		'setting' => 'matrimony_testimonial_post_num',
		'priority'      =>  4,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9,
		),
	)
);
$wp_customize->add_setting('matrimony_testimonial_image',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_testimonial_image',
	array(
		'label'      => esc_html__( 'Testimonial Background Image ', 'matrimony' ),
		'section'    => 'matrimonial_testimonial_setups',
		'settings'   => 'matrimony_testimonial_image',
		'priority' => 4,
	)
) );	

//Gift Sections
$wp_customize->add_section('matrimonial_gift_setups',
	array(
		'priority' => 1,
		'title' => esc_html__('Gift Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable Gift Section
$wp_customize->add_setting('matrimonial_gift_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_gift_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Gift Section', 'matrimony'),
		'section' => 'matrimonial_gift_setups',
	)
) );
// Gift Page
$wp_customize->add_setting('matrimony_gift_page_one',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_gift_page_one',
	array(
		'priority'=>    1,
		'label' => esc_html__('Choose Gift Section Page', 'matrimony'),
		'description'   =>  esc_html__('It will Display Gift Section Title And Description. ','matrimony'),
		'section' =>    'matrimonial_gift_setups',
		'setting' =>    'matrimony_gift_page_one',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Gift Description
$wp_customize->add_setting('matrimonial_gift_dec_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_gift_dec_option',
	array(
		'priority'      =>  2,
		'type' => 'switch',
		'label' => esc_html__('Enable Gift Section Page Descriptions', 'matrimony'),
		'section' => 'matrimonial_gift_setups',
	)
) );
// Gift Category
$wp_customize->add_setting('matrimonial_gift_section_cat',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matrimonial_cat_sanitize_checkbox',
	)
);
$wp_customize->add_control('matrimonial_gift_section_cat',
	array(
		'priority'      =>  4,
		'label'         =>  esc_html__('Select Category','matrimony'),
		'section'       =>  'matrimonial_gift_setups',
		'setting'       =>  'matrimonial_gift_section_cat',
		'type'          =>  'select',
		'choices'       =>  $matrimony_category_lists,
	)
);
// Number of Posts
$wp_customize->add_setting('matrimony_gift_post_num', 
	array(
		'default' => 5,
		'sanitize_callback' => 'matrimony_sanitize_number',
	)
);
$wp_customize->add_control('matrimony_gift_post_num',
	array(
		'type' => 'number',
		'label' => esc_html__('No. of Post On Posts','matrimony'),
		'section' => 'matrimonial_gift_setups',
		'setting' => 'matrimony_gift_post_num',
		'priority'      =>  5,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9,
		),
	)
);
$wp_customize->add_setting('matrimony_gift_second_image',
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,'matrimony_gift_second_image',
	array(
		'label'      => esc_html__( 'Gift Section Middle Image ', 'matrimony' ),
		'section'    => 'matrimonial_gift_setups',
		'settings'   => 'matrimony_gift_second_image',
		'priority' => 6,
	)
) );
// Gift Page
$wp_customize->add_setting('matrimony_gift_page',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_gift_page',
	array(
		'priority'=>    7,
		'label' => esc_html__('Choose Gift Section Page', 'matrimony'),
		'description'   =>  esc_html__('It will Display Gift Section Title And Description. ','matrimony'),
		'section' =>    'matrimonial_gift_setups',
		'setting' =>    'matrimony_gift_page',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Category Page
$wp_customize->add_setting('matrimonial_gift_section_second_cat',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matrimonial_cat_sanitize_checkbox',
	)
);
$wp_customize->add_control('matrimonial_gift_section_second_cat',
	array(
		'priority'      =>  8,
		'label'         =>  esc_html__('Select Category','matrimony'),
		'section'       =>  'matrimonial_gift_setups',
		'setting'       =>  'matrimonial_gift_section_second_cat',
		'type'          =>  'select',
		'choices'       =>  $matrimony_category_lists,
	)
);
// Number of Posts
$wp_customize->add_setting('matrimony_gift_second_post_num', 
	array(
		'default' => 5,
		'sanitize_callback' => 'matrimony_sanitize_number',
	)
);
$wp_customize->add_control('matrimony_gift_second_post_num',
	array(
		'type' => 'number',
		'label' => esc_html__('No. of Post On Posts','matrimony'),
		'section' => 'matrimonial_gift_setups',
		'setting' => 'matrimony_gift_second_post_num',
		'priority'      =>  9,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9,
		),
	)
);
// Blog Section
$wp_customize->add_section('matrimonial_blog_setups',
	array(
		'priority' => 8,
		'title' => esc_html__('Blog Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable Blog Section
$wp_customize->add_setting('matrimonial_blog_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_blog_option',
	array(
		'priority'      =>  9,
		'type' => 'switch',
		'label' => esc_html__('Enable Blog Section', 'matrimony'),
		'section' => 'matrimonial_blog_setups',
	)
) );
// Blog Page
$wp_customize->add_setting('matrimony_blog_page',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);
$wp_customize->add_control('matrimony_blog_page',
	array(
		'priority'=>   10,
		'label' => esc_html__('Choose The Blog Section Page', 'matrimony'),
		'description'   =>  esc_html__('It will Display Blog Section Title And Description. ','matrimony'),
		'section' =>    'matrimonial_blog_setups',
		'setting' =>    'matrimony_blog_page',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Enable/Disable Description
$wp_customize->add_setting('matrimonial_blog_dec_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_blog_dec_option',
	array(
		'priority'      =>  11,
		'type' => 'switch',
		'label' => esc_html__('Enable Blog Section Descriptions', 'matrimony'),
		'section' => 'matrimonial_blog_setups',
	)
) );
//Blog Category
$wp_customize->add_setting('matrimonial_blog_section_cat',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matrimonial_cat_sanitize_checkbox',
	)
);
$wp_customize->add_control('matrimonial_blog_section_cat',
	array(
		'priority'      => 11,
		'label'         =>  esc_html__('Select Category','matrimony'),
		'section'       =>  'matrimonial_blog_setups',
		'setting'       =>  'matrimonial_blog_section_cat',
		'type'          =>  'select',
		'choices'       =>  $matrimony_category_lists,
	)
);
// Number of Posts
$wp_customize->add_setting('matrimony_blog_post_num', 
	array(
		'default' => 5,
		'sanitize_callback' => 'matrimony_sanitize_number',
	)
);
$wp_customize->add_control('matrimony_blog_post_num',
	array(
		'type' => 'number',
		'label' => esc_html__('No. of Post On Posts','matrimony'),
		'section' => 'matrimonial_blog_setups',
		'setting' => 'matrimony_blog_post_num',
		'priority'      =>  12,
		'input_attrs' => array(
			'min' => 1,
			'max' => 9,
		),
	)
);
// Image Hove Button Text
$wp_customize->add_setting('matrimony_blog_text' ,
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_blog_text',
	array(
		'priority'      => 13,
		'label'         =>  esc_html__('Image Hover Button','matrimony'),
		'section'       =>  'matrimonial_blog_setups',
		'setting'       =>  'matrimony_blog_text',
		'type'          =>  'text',  
	)                                     
);
//Button Text
$wp_customize->add_setting('matrimony_blog_more_iteams_text',
	array(
		'default'           =>  '',
		'sanitize_callback' =>  'sanitize_text_field',
	)
);
$wp_customize->add_control('matrimony_blog_more_iteams_text',
	array(
		'priority'      =>14,
		'label'         =>  esc_html__('Button Text','matrimony'),
		'section'       =>  'matrimonial_blog_setups',
		'setting'       =>  'matrimony_blog_more_iteams_text',
		'type'          =>  'text',  
	)                                     
);
// Client Section
$wp_customize->add_section('matrimonial_client_setups',
	array(
		'priority' => 78,
		'title' => esc_html__('Client Section','matrimony'),
		'panel' => 'matrimony_homepage_setups'
	)
);
// Enable/Disable Client Section
$wp_customize->add_setting('matrimonial_client_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_client_option',
	array(
		'priority'      =>  1,
		'type' => 'switch',
		'label' => esc_html__('Enable Client Section', 'matrimony'),
		'section' => 'matrimonial_client_setups',
	)
) );
// Client Page
$wp_customize->add_setting('matrimony_client_page',
	array(
		'default'           =>  0,
		'sanitize_callback' =>  'matromony_pages',
	)
);

$wp_customize->add_control('matrimony_client_page',
	array(
		'priority'=>    2,
		'label' => esc_html__('Choose Client  Section Page', 'matrimony'),
		'description'   =>  esc_html__('It will Display Client Section Title And Description. ','matrimony'),
		'section' =>    'matrimonial_client_setups',
		'setting' =>    'matrimony_client_page',
		'type'    =>    'dropdown-pages',
	)                                     
);
// Enable/Disable Description
$wp_customize->add_setting('matrimonial_client_des_option',
	array(
		'default' => 0,
		'sanitize_callback' => 'matrimonial_sanitize_switch_options'
	)
);
$wp_customize->add_control(new Matrimony_WP_Customize_Switch_Control($wp_customize,'matrimonial_client_des_option',
	array(
		'priority'      =>  3,
		'type' => 'switch',
		'label' => esc_html__('Enable Client Section Page Description', 'matrimony'),
		'section' => 'matrimonial_client_setups',
	)
) );
//CLIENTS LOGOS
$wp_customize->add_setting(
	'matrimony_client_logo_image',
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control( new Matrimony_Display_Gallery_Control( $wp_customize,'matrimony_client_logo_image',
	array(
		'priority' => 5,
		'settings'		=> 'matrimony_client_logo_image',
		'section'		=> 'matrimonial_client_setups',
		'label'			=> esc_html__( 'Upload Clients Logos', 'matrimony' ),
	)
)  );